'reinit'
orient='landscape'

***** Read time information from .ctl file
file='classW.ctl'

'open 'file
rec=read(file)
rc=sublin(rec,2)
time=substr(rc,39,11)

ltmn=31.0
ltmx=36.0
lnmn=246.0
lnmx=256.0
dln=lnmx-lnmn

xmn=0.5

if (orient='portrait')
   xmx=8.25
else
   xmx=10.75
endif

dx=xmx-xmn

dy=1.20*dx*(ltmx-ltmn)/(lnmx-lnmn)

if (orient='portrait')
   ymx=10.75
else
   ymx=8.25
endif

ymn=ymx-dy

***** Create color table

i=1
while (i<=10)
* Purple (light-->dark)
   'set rgb '15+i' '255-10*(i-1)' '128-10*(i-1)' '255-10*(i-1)
* Blue (light-->dark)
   'set rgb '25+i' '128-10*(i-1)' '192-8*(i-1)' '255-10*(i-1)
* Green (light-->dark)
   'set rgb '35+i' '128-10*(i-1)' '255-10*(i-1)' '128-10*(i-1)
* Yellow (light-->dark)
   'set rgb '45+i' '255-10*(i-1)' '255-10*(i-1)' '128-10*(i-1)
* Orange (light-->dark)
   'set rgb '55+i' '255-10*(i-1)' '192-5*(i-1)' '128-10*(i-1)
* Red (light-->dark)
   'set rgb '65+i' '255-10*(i-1)' '128-10*(i-1)' '128-10*(i-1)
   i=i+1
endwhile

numcol=8

ulmn=1
uldel=1
i=0
while (i<=numcol)
  cl.i=9+7*i
  ul.i=ulmn+uldel*(i-1)
  i=i+1
endwhile 
ul.old=ul.numcol

ul.numcol=999

'open 'file
'set parea 'xmn' 'xmx' 'ymn' 'ymx
'set mpdset hires'
*'set mproj off'
'set gxout grfill'
'set csmooth off'
'set lat 'ltmn' 'ltmx
'set lon 'lnmn' 'lnmx
'set t 1'
'set xlint 1'
'set ylint 1'
'set clevs 0 'ul.1' 'ul.2' 'ul.3' 'ul.4' 'ul.5' 'ul.6' 'ul.7' 'ul.8
'set ccols 0  'cl.1' 'cl.2' 'cl.3' 'cl.4' 'cl.5' 'cl.6' 'cl.7' 'cl.8
'set ccolor 15'
'set datawarn off'
'd class'
*'d class + lon/1000'
*'set gxout grid'
*'set dignum 0'
*'set digsiz 0.20'
*'d class'

* Add legend

ul.numcol=ul.old
if (orient='portrait')
   xi=0.75
   xcc=4.25
else
   xi=1.00
   xcc=5.5
endif
xc=(xcc-xi*numcol/2-xi)
'set line 1 1 10'
'set string 1 c 3 0'
'set strsiz 0.14 0.15'
'draw string 'xcc' 'ymn-1.05' SCaMPR Class at 'time
'set string 1 c 3'
'set strsiz 0.14 0.15'
i=1
'draw string 'xc+xi*i' 'ymn-0.80' 'ulmn-uldel
while (i<=numcol)
   'set line 'cl.i
   'draw recf 'xc+xi*i' 'ymn-0.65' 'xc+xi+xi*i' 'ymn-0.45
   'set line 1'
   'draw string 'xc+xi+xi*i' 'ymn-0.80' 'ul.i
   i=i+1
endwhile
'set line 1'
'draw line 'xc+xi' 'ymn-0.65' 'xc+xi' 'ymn-0.45
'draw line 'xc+xi*i' 'ymn-0.65' 'xc+xi*i' 'ymn-0.45
'draw line 'xc+xi' 'ymn-0.45' 'xc+xi*i' 'ymn-0.45
'draw line 'xc+xi' 'ymn-0.65' 'xc+xi*i' 'ymn-0.65

if (orient='landscape')
   'printim classW'time'.gif x1100 y850 white'
else
   'printim classW'time'.gif x850 y1100 white'
endif
